package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmUserSearchFrequency {
    private Integer id;
    /**
     * 标签库数据来源（1：手动添加；2：用户关键词统计；3：导入）
     */
    private Integer fromSearch;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * 关键词出现次数
     */
    private Integer frequency;
    /**
     * 0:未加入关键词库；1：已加入关键词库
     */
    private Integer trueStatus;
    /**
     * 0:已删除；1未删除
     */
    private Integer delStatus;
    /**
     * 联动关键词出现次数
     */
    private Integer linkageFrequency;
    /**
     * 搜索时间
     */
    private String searchTime;
    /**
     * 推荐状态：0未推荐，1已推荐
     */
    private Integer recommendStatus;
    /**
     * 推荐时间
     */
    private Date recommendTime;
    /**
     * 推荐列表删除标记0未忽略1忽略
     */
    private Integer recommendFlag;
    /**
     * 添加到标签库的时间
     */
    private Date addTime;
    /**
     * 联动搜索状态：0未启用，1已启用
     */
    private Integer linkageStatus;
    /**
     * 是否支持选择
     */
    private Boolean flag;
}
